from django.shortcuts import render_to_response
from django.http import HttpResponse

from main.models import Experiment
from main.models import ArraySpot

import csv

def index(request):
    experiments = Experiment.objects.filter(species__species_name="Arabidopsis thaliana")

    mode = 'multiplot'

    if request.method == 'GET':
        if request.GET.get('mode'):
            mode = request.GET.get('mode');

    return render_to_response('index.html',{'experiments':experiments,
                                            'mode' :mode})

def no_results(query, mode):
    experiments = Experiment.objects.filter(species__species_name="Arabidopsis thaliana")

    return render_to_response('index.html', {'experiments': experiments,
                                             'query': query,
                                             'noresults': 1,
                                             'mode': mode})


def AGI_list(request):
    genelist = ArraySpot.objects.filter(experiment__species__species_name="Arabidopsis thaliana").values_list('spot_id', flat=True)
    AGI_list = '\n'.join(genelist)

    response = HttpResponse(content_type='text/plain')
    response['Content-Disposition'] = 'attachment; filename="ARAQTL_AGI_list.txt"'
    response.write(AGI_list)

    return response


